package com.sd.business.entity.sku.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * sku规格导入入参实体
 */
@Getter
@Setter
public class SkuSpecImportDataDto {

    /**
     * sku规格品号
     */
    @ExcelProperty("SKU")
    private String skuSpecCode;

    /**
     * sku规格
     */
    @ExcelProperty("规格")
    private String spec;

    @ExcelProperty("图稿类型")
    private String machinedPanelStr;

    @ExcelProperty("图稿文件")
    private String machinedPanelFileStr;

    @ExcelProperty("裸垫品号")
    private String bomSpecCode;
    @ExcelProperty("opp膜品号")
    private String packagingBomSpecCode_1;
    @ExcelProperty("彩纸品号")
    private String packagingBomSpecCode_2;
    @ExcelProperty("松紧圈品号")
    private String packagingBomSpecCode_3;
    @ExcelProperty("松紧圈背带")
    private String packagingBomSpecCode_4;
    @ExcelProperty("热收缩膜")
    private String packagingBomSpecCode_5;
    @ExcelProperty("气泡袋")
    private String packagingBomSpecCode_6;
    @ExcelProperty("网包品号")
    private String packagingBomSpecCode_7;
    @ExcelProperty("吊牌品号")
    private String packagingBomSpecCode_8;
    @ExcelProperty("纸箱")
    private String packagingBomSpecCode_9;
    @ExcelProperty("不干胶品号")
    private String packagingBomSpecCode_10;
    @ExcelProperty("快递袋")
    private String deliveryMaterialsBomSpecCode;
}
